Releasing debian version 1.2.5-3.
[debian/pcmanfm.git] / Makefile.in
CommitLineData
5f30bbc9 1# Makefile.in generated by automake 1.15 from Makefile.am.
ab702381
DB
2# @configure_input@
3
5f30bbc9 4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
7d32376a 5
ab702381
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
ab702381 16VPATH = @srcdir@
5f30bbc9
AG
17am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27}
7d32376a
AG
28am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
ab702381 72pkgdatadir = $(datadir)/@PACKAGE@
ab702381 73pkgincludedir = $(includedir)/@PACKAGE@
3554f2d2
DB
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
ab702381 76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
ab702381
DB
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
3e01779c 88subdir = .
ab702381 89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92978c90 90am__aclocal_m4_deps = $(top_srcdir)/configure.ac
ab702381
DB
91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92 $(ACLOCAL_M4)
5f30bbc9
AG
93DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94 $(am__configure_deps) $(am__DIST_COMMON)
ab702381 95am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
3e01779c 96 configure.lineno config.status.lineno
92978c90
DB
97mkinstalldirs = $(install_sh) -d
98CONFIG_HEADER = config.h
beb53438 99CONFIG_CLEAN_FILES =
3554f2d2 100CONFIG_CLEAN_VPATH_FILES =
7d32376a
AG
101AM_V_P = $(am__v_P_@AM_V@)
102am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103am__v_P_0 = false
104am__v_P_1 = :
105AM_V_GEN = $(am__v_GEN_@AM_V@)
106am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107am__v_GEN_0 = @echo " GEN " $@;
108am__v_GEN_1 =
109AM_V_at = $(am__v_at_@AM_V@)
110am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111am__v_at_0 = @
112am__v_at_1 =
ab702381
DB
113SOURCES =
114DIST_SOURCES =
7d32376a
AG
115RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116 ctags-recursive dvi-recursive html-recursive info-recursive \
117 install-data-recursive install-dvi-recursive \
118 install-exec-recursive install-html-recursive \
119 install-info-recursive install-pdf-recursive \
120 install-ps-recursive install-recursive installcheck-recursive \
121 installdirs-recursive pdf-recursive ps-recursive \
122 tags-recursive uninstall-recursive
123am__can_run_installinfo = \
124 case $$AM_UPDATE_INFO_DIR in \
125 n|no|NO) false;; \
126 *) (install-info --version) >/dev/null 2>&1;; \
127 esac
3e01779c
DB
128RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
129 distclean-recursive maintainer-clean-recursive
7d32376a
AG
130am__recursive_targets = \
131 $(RECURSIVE_TARGETS) \
132 $(RECURSIVE_CLEAN_TARGETS) \
133 $(am__extra_recursive_targets)
134AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
135 cscope distdir dist dist-all distcheck
136am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
137 $(LISP)config.h.in
138# Read a list of newline-separated strings from the standard input,
139# and print each of them once, without duplicates. Input order is
140# *not* preserved.
141am__uniquify_input = $(AWK) '\
142 BEGIN { nonempty = 0; } \
143 { items[$$0] = 1; nonempty = 1; } \
144 END { if (nonempty) { for (i in items) print i; }; } \
145'
146# Make sure the list of sources is unique. This is necessary because,
147# e.g., the same source file might be shared among _SOURCES variables
148# for different programs/libraries.
149am__define_uniq_tagged_files = \
150 list='$(am__tagged_files)'; \
151 unique=`for i in $$list; do \
152 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
153 done | $(am__uniquify_input)`
ab702381
DB
154ETAGS = etags
155CTAGS = ctags
7d32376a 156CSCOPE = cscope
ab702381 157DIST_SUBDIRS = $(SUBDIRS)
5f30bbc9
AG
158am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
159 COPYING ChangeLog INSTALL NEWS README TODO compile install-sh \
160 missing
ab702381
DB
161DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162distdir = $(PACKAGE)-$(VERSION)
163top_distdir = $(distdir)
164am__remove_distdir = \
7d32376a
AG
165 if test -d "$(distdir)"; then \
166 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167 && rm -rf "$(distdir)" \
168 || { sleep 5 && rm -rf "$(distdir)"; }; \
169 else :; fi
170am__post_remove_distdir = $(am__remove_distdir)
3554f2d2
DB
171am__relativize = \
172 dir0=`pwd`; \
173 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174 sed_rest='s,^[^/]*/*,,'; \
175 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176 sed_butlast='s,/*[^/]*$$,,'; \
177 while test -n "$$dir1"; do \
178 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179 if test "$$first" != "."; then \
180 if test "$$first" = ".."; then \
181 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183 else \
184 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185 if test "$$first2" = "$$first"; then \
186 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187 else \
188 dir2="../$$dir2"; \
189 fi; \
190 dir0="$$dir0"/"$$first"; \
191 fi; \
192 fi; \
193 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194 done; \
195 reldir="$$dir2"
ab702381 196GZIP_ENV = --best
7d32376a
AG
197DIST_ARCHIVES = $(distdir).tar.xz
198DIST_TARGETS = dist-xz
ab702381 199distuninstallcheck_listfiles = find . -type f -print
7d32376a
AG
200am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
ab702381
DB
202distcleancheck_listfiles = find . -type f -print
203ACLOCAL = @ACLOCAL@
c52e55d2 204ALL_LINGUAS = @ALL_LINGUAS@
ab702381 205AMTAR = @AMTAR@
7d32376a 206AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
ab702381
DB
207AUTOCONF = @AUTOCONF@
208AUTOHEADER = @AUTOHEADER@
209AUTOMAKE = @AUTOMAKE@
210AWK = @AWK@
211CATALOGS = @CATALOGS@
212CATOBJEXT = @CATOBJEXT@
213CC = @CC@
214CCDEPMODE = @CCDEPMODE@
215CFLAGS = @CFLAGS@
216CPP = @CPP@
217CPPFLAGS = @CPPFLAGS@
218CYGPATH_W = @CYGPATH_W@
219DATADIRNAME = @DATADIRNAME@
220DEFS = @DEFS@
221DEPDIR = @DEPDIR@
222ECHO_C = @ECHO_C@
223ECHO_N = @ECHO_N@
224ECHO_T = @ECHO_T@
225EGREP = @EGREP@
226EXEEXT = @EXEEXT@
92978c90
DB
227FM_CFLAGS = @FM_CFLAGS@
228FM_LIBS = @FM_LIBS@
ab702381 229GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
92978c90
DB
230GIO_CFLAGS = @GIO_CFLAGS@
231GIO_LIBS = @GIO_LIBS@
ab702381
DB
232GMOFILES = @GMOFILES@
233GMSGFMT = @GMSGFMT@
2c896c7a 234GREP = @GREP@
3e01779c 235G_CAST_CHECKS = @G_CAST_CHECKS@
3e01779c 236INSTALL = @INSTALL@
ab702381
DB
237INSTALL_DATA = @INSTALL_DATA@
238INSTALL_PROGRAM = @INSTALL_PROGRAM@
239INSTALL_SCRIPT = @INSTALL_SCRIPT@
240INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
241INSTOBJEXT = @INSTOBJEXT@
242INTLLIBS = @INTLLIBS@
c52e55d2 243INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
c52e55d2 244INTLTOOL_MERGE = @INTLTOOL_MERGE@
c52e55d2 245INTLTOOL_PERL = @INTLTOOL_PERL@
c52e55d2 246INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
7d32376a
AG
247INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
248INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
249INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
250INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
ab702381
DB
251LDFLAGS = @LDFLAGS@
252LIBOBJS = @LIBOBJS@
253LIBS = @LIBS@
254LTLIBOBJS = @LTLIBOBJS@
ab702381 255MAKEINFO = @MAKEINFO@
3e01779c 256MKDIR_P = @MKDIR_P@
ab702381
DB
257MKINSTALLDIRS = @MKINSTALLDIRS@
258MSGFMT = @MSGFMT@
8b5b0ae9 259MSGFMT_OPTS = @MSGFMT_OPTS@
c52e55d2 260MSGMERGE = @MSGMERGE@
ab702381
DB
261OBJEXT = @OBJEXT@
262PACKAGE = @PACKAGE@
263PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
ab702381
DB
264PACKAGE_NAME = @PACKAGE_NAME@
265PACKAGE_STRING = @PACKAGE_STRING@
266PACKAGE_TARNAME = @PACKAGE_TARNAME@
3554f2d2 267PACKAGE_URL = @PACKAGE_URL@
ab702381
DB
268PACKAGE_VERSION = @PACKAGE_VERSION@
269PATH_SEPARATOR = @PATH_SEPARATOR@
270PKG_CONFIG = @PKG_CONFIG@
7868df51
DB
271PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
272PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
ab702381
DB
273POFILES = @POFILES@
274POSUB = @POSUB@
275PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
276PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
277SET_MAKE = @SET_MAKE@
278SHELL = @SHELL@
279STRIP = @STRIP@
280USE_NLS = @USE_NLS@
281VERSION = @VERSION@
282XGETTEXT = @XGETTEXT@
92978c90
DB
283XLIB_CFLAGS = @XLIB_CFLAGS@
284XLIB_LIBS = @XLIB_LIBS@
3e01779c
DB
285abs_builddir = @abs_builddir@
286abs_srcdir = @abs_srcdir@
287abs_top_builddir = @abs_top_builddir@
288abs_top_srcdir = @abs_top_srcdir@
ab702381 289ac_ct_CC = @ac_ct_CC@
ab702381
DB
290am__include = @am__include@
291am__leading_dot = @am__leading_dot@
292am__quote = @am__quote@
293am__tar = @am__tar@
294am__untar = @am__untar@
295bindir = @bindir@
296build_alias = @build_alias@
3e01779c 297builddir = @builddir@
ab702381 298datadir = @datadir@
2c896c7a
DB
299datarootdir = @datarootdir@
300docdir = @docdir@
301dvidir = @dvidir@
ab702381
DB
302exec_prefix = @exec_prefix@
303host_alias = @host_alias@
2c896c7a 304htmldir = @htmldir@
ab702381
DB
305includedir = @includedir@
306infodir = @infodir@
307install_sh = @install_sh@
7d32376a
AG
308intltool__v_merge_options_ = @intltool__v_merge_options_@
309intltool__v_merge_options_0 = @intltool__v_merge_options_0@
ab702381
DB
310libdir = @libdir@
311libexecdir = @libexecdir@
2c896c7a 312localedir = @localedir@
ab702381
DB
313localstatedir = @localstatedir@
314mandir = @mandir@
315mkdir_p = @mkdir_p@
316oldincludedir = @oldincludedir@
2c896c7a 317pdfdir = @pdfdir@
ab702381
DB
318prefix = @prefix@
319program_transform_name = @program_transform_name@
2c896c7a 320psdir = @psdir@
5f30bbc9 321runstatedir = @runstatedir@
ab702381
DB
322sbindir = @sbindir@
323sharedstatedir = @sharedstatedir@
3e01779c 324srcdir = @srcdir@
ab702381
DB
325sysconfdir = @sysconfdir@
326target_alias = @target_alias@
fb9adf59 327top_build_prefix = @top_build_prefix@
3e01779c
DB
328top_builddir = @top_builddir@
329top_srcdir = @top_srcdir@
92978c90
DB
330NULL =
331SUBDIRS = src po data
ab702381 332EXTRA_DIST = \
92978c90 333 $(NULL)
ab702381 334
92978c90
DB
335all: config.h
336 $(MAKE) $(AM_MAKEFLAGS) all-recursive
ab702381
DB
337
338.SUFFIXES:
7d32376a 339am--refresh: Makefile
ab702381 340 @:
92978c90 341$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
ab702381
DB
342 @for dep in $?; do \
343 case '$(am__configure_deps)' in \
344 *$$dep*) \
92978c90
DB
345 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
346 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
ab702381
DB
347 && exit 0; \
348 exit 1;; \
349 esac; \
350 done; \
92978c90 351 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
3554f2d2 352 $(am__cd) $(top_srcdir) && \
92978c90 353 $(AUTOMAKE) --foreign Makefile
ab702381
DB
354Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
355 @case '$?' in \
356 *config.status*) \
357 echo ' $(SHELL) ./config.status'; \
358 $(SHELL) ./config.status;; \
359 *) \
360 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
361 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
362 esac;
363
364$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
365 $(SHELL) ./config.status --recheck
366
92978c90 367$(top_srcdir)/configure: $(am__configure_deps)
3554f2d2 368 $(am__cd) $(srcdir) && $(AUTOCONF)
92978c90 369$(ACLOCAL_M4): $(am__aclocal_m4_deps)
3554f2d2
DB
370 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
371$(am__aclocal_m4_deps):
ab702381 372
92978c90 373config.h: stamp-h1
7d32376a
AG
374 @test -f $@ || rm -f stamp-h1
375 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
92978c90
DB
376
377stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
378 @rm -f stamp-h1
379 cd $(top_builddir) && $(SHELL) ./config.status config.h
380$(srcdir)/config.h.in: $(am__configure_deps)
381 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
382 rm -f stamp-h1
383 touch $@
384
385distclean-hdr:
386 -rm -f config.h stamp-h1
387
ab702381 388# This directory's subdirectories are mostly independent; you can cd
7d32376a
AG
389# into them and run 'make' without going through this Makefile.
390# To change the values of 'make' variables: instead of editing Makefiles,
391# (1) if the variable is set in 'config.status', edit 'config.status'
392# (which will cause the Makefiles to be regenerated when you run 'make');
393# (2) otherwise, pass the desired values on the 'make' command line.
394$(am__recursive_targets):
395 @fail=; \
396 if $(am__make_keepgoing); then \
397 failcom='fail=yes'; \
398 else \
399 failcom='exit 1'; \
400 fi; \
ab702381
DB
401 dot_seen=no; \
402 target=`echo $@ | sed s/-recursive//`; \
7d32376a
AG
403 case "$@" in \
404 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
405 *) list='$(SUBDIRS)' ;; \
406 esac; \
407 for subdir in $$list; do \
ab702381
DB
408 echo "Making $$target in $$subdir"; \
409 if test "$$subdir" = "."; then \
410 dot_seen=yes; \
411 local_target="$$target-am"; \
412 else \
413 local_target="$$target"; \
414 fi; \
3554f2d2 415 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
ab702381
DB
416 || eval $$failcom; \
417 done; \
418 if test "$$dot_seen" = "no"; then \
419 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
420 fi; test -z "$$fail"
421
7d32376a
AG
422ID: $(am__tagged_files)
423 $(am__define_uniq_tagged_files); mkid -fID $$unique
424tags: tags-recursive
425TAGS: tags
ab702381 426
7d32376a 427tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
3554f2d2 428 set x; \
ab702381
DB
429 here=`pwd`; \
430 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
431 include_option=--etags-include; \
432 empty_fix=.; \
433 else \
434 include_option=--include; \
435 empty_fix=; \
436 fi; \
437 list='$(SUBDIRS)'; for subdir in $$list; do \
438 if test "$$subdir" = .; then :; else \
439 test ! -f $$subdir/TAGS || \
3554f2d2 440 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
ab702381
DB
441 fi; \
442 done; \
7d32376a 443 $(am__define_uniq_tagged_files); \
3554f2d2
DB
444 shift; \
445 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
ab702381 446 test -n "$$unique" || unique=$$empty_fix; \
3554f2d2
DB
447 if test $$# -gt 0; then \
448 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
449 "$$@" $$unique; \
450 else \
451 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
452 $$unique; \
453 fi; \
ab702381 454 fi
7d32376a
AG
455ctags: ctags-recursive
456
457CTAGS: ctags
458ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
459 $(am__define_uniq_tagged_files); \
3554f2d2 460 test -z "$(CTAGS_ARGS)$$unique" \
ab702381 461 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
3554f2d2 462 $$unique
ab702381
DB
463
464GTAGS:
465 here=`$(am__cd) $(top_builddir) && pwd` \
3554f2d2
DB
466 && $(am__cd) $(top_srcdir) \
467 && gtags -i $(GTAGS_ARGS) "$$here"
7d32376a
AG
468cscope: cscope.files
469 test ! -s cscope.files \
470 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
471clean-cscope:
472 -rm -f cscope.files
473cscope.files: clean-cscope cscopelist
474cscopelist: cscopelist-recursive
475
476cscopelist-am: $(am__tagged_files)
477 list='$(am__tagged_files)'; \
478 case "$(srcdir)" in \
479 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
480 *) sdir=$(subdir)/$(srcdir) ;; \
481 esac; \
482 for i in $$list; do \
483 if test -f "$$i"; then \
484 echo "$(subdir)/$$i"; \
485 else \
486 echo "$$sdir/$$i"; \
487 fi; \
488 done >> $(top_builddir)/cscope.files
ab702381
DB
489
490distclean-tags:
491 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
7d32376a 492 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
ab702381
DB
493
494distdir: $(DISTFILES)
495 $(am__remove_distdir)
3554f2d2 496 test -d "$(distdir)" || mkdir "$(distdir)"
3e01779c
DB
497 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
498 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
499 list='$(DISTFILES)'; \
500 dist_files=`for file in $$list; do echo $$file; done | \
501 sed -e "s|^$$srcdirstrip/||;t" \
502 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
503 case $$dist_files in \
504 */*) $(MKDIR_P) `echo "$$dist_files" | \
505 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
506 sort -u` ;; \
507 esac; \
508 for file in $$dist_files; do \
ab702381 509 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
ab702381 510 if test -d $$d/$$file; then \
3e01779c 511 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
3554f2d2
DB
512 if test -d "$(distdir)/$$file"; then \
513 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
514 fi; \
ab702381 515 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
3554f2d2
DB
516 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
517 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
ab702381 518 fi; \
3554f2d2 519 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
ab702381 520 else \
3554f2d2
DB
521 test -f "$(distdir)/$$file" \
522 || cp -p $$d/$$file "$(distdir)/$$file" \
ab702381
DB
523 || exit 1; \
524 fi; \
525 done
3554f2d2 526 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
ab702381 527 if test "$$subdir" = .; then :; else \
7d32376a
AG
528 $(am__make_dryrun) \
529 || test -d "$(distdir)/$$subdir" \
530 || $(MKDIR_P) "$(distdir)/$$subdir" \
531 || exit 1; \
3554f2d2
DB
532 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
533 $(am__relativize); \
534 new_distdir=$$reldir; \
535 dir1=$$subdir; dir2="$(top_distdir)"; \
536 $(am__relativize); \
537 new_top_distdir=$$reldir; \
538 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
539 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
540 ($(am__cd) $$subdir && \
ab702381 541 $(MAKE) $(AM_MAKEFLAGS) \
3554f2d2
DB
542 top_distdir="$$new_top_distdir" \
543 distdir="$$new_distdir" \
3e01779c
DB
544 am__remove_distdir=: \
545 am__skip_length_check=: \
3554f2d2 546 am__skip_mode_fix=: \
ab702381
DB
547 distdir) \
548 || exit 1; \
549 fi; \
550 done
3554f2d2 551 -test -n "$(am__skip_mode_fix)" \
92978c90
DB
552 || find "$(distdir)" -type d ! -perm -755 \
553 -exec chmod u+rwx,go+rx {} \; -o \
ab702381
DB
554 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
555 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
3e01779c 556 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
3554f2d2 557 || chmod -R a+r "$(distdir)"
ab702381
DB
558dist-gzip: distdir
559 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
7d32376a 560 $(am__post_remove_distdir)
92978c90 561
ab702381 562dist-bzip2: distdir
7d32376a
AG
563 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
564 $(am__post_remove_distdir)
627c87b5 565
7d32376a
AG
566dist-lzip: distdir
567 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
568 $(am__post_remove_distdir)
3554f2d2 569dist-xz: distdir
7d32376a
AG
570 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
571 $(am__post_remove_distdir)
3554f2d2 572
ab702381 573dist-tarZ: distdir
5f30bbc9
AG
574 @echo WARNING: "Support for distribution archives compressed with" \
575 "legacy program 'compress' is deprecated." >&2
7d32376a 576 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
ab702381 577 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
7d32376a 578 $(am__post_remove_distdir)
ab702381
DB
579
580dist-shar: distdir
5f30bbc9
AG
581 @echo WARNING: "Support for shar distribution archives is" \
582 "deprecated." >&2
7d32376a 583 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
ab702381 584 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
7d32376a 585 $(am__post_remove_distdir)
ab702381
DB
586
587dist-zip: distdir
588 -rm -f $(distdir).zip
589 zip -rq $(distdir).zip $(distdir)
7d32376a 590 $(am__post_remove_distdir)
ab702381 591
7d32376a
AG
592dist dist-all:
593 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
594 $(am__post_remove_distdir)
ab702381
DB
595
596# This target untars the dist file and tries a VPATH configuration. Then
597# it guarantees that the distribution is self-contained by making another
598# tarfile.
599distcheck: dist
600 case '$(DIST_ARCHIVES)' in \
601 *.tar.gz*) \
92978c90 602 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
ab702381 603 *.tar.bz2*) \
92978c90 604 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
7d32376a
AG
605 *.tar.lz*) \
606 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
3554f2d2
DB
607 *.tar.xz*) \
608 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
ab702381
DB
609 *.tar.Z*) \
610 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
611 *.shar.gz*) \
92978c90 612 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
ab702381
DB
613 *.zip*) \
614 unzip $(distdir).zip ;;\
615 esac
7d32376a
AG
616 chmod -R a-w $(distdir)
617 chmod u+w $(distdir)
5f30bbc9 618 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
ab702381 619 chmod a-w $(distdir)
3554f2d2 620 test -d $(distdir)/_build || exit 0; \
ab702381
DB
621 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
622 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
3554f2d2 623 && am__cwd=`pwd` \
5f30bbc9
AG
624 && $(am__cd) $(distdir)/_build/sub \
625 && ../../configure \
7d32376a 626 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
ab702381 627 $(DISTCHECK_CONFIGURE_FLAGS) \
5f30bbc9 628 --srcdir=../.. --prefix="$$dc_install_base" \
ab702381
DB
629 && $(MAKE) $(AM_MAKEFLAGS) \
630 && $(MAKE) $(AM_MAKEFLAGS) dvi \
631 && $(MAKE) $(AM_MAKEFLAGS) check \
632 && $(MAKE) $(AM_MAKEFLAGS) install \
633 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
634 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
635 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
636 distuninstallcheck \
637 && chmod -R a-w "$$dc_install_base" \
638 && ({ \
639 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
640 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
641 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
642 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
643 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
644 } || { rm -rf "$$dc_destdir"; exit 1; }) \
645 && rm -rf "$$dc_destdir" \
646 && $(MAKE) $(AM_MAKEFLAGS) dist \
647 && rm -rf $(DIST_ARCHIVES) \
3554f2d2
DB
648 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
649 && cd "$$am__cwd" \
650 || exit 1
7d32376a 651 $(am__post_remove_distdir)
ab702381
DB
652 @(echo "$(distdir) archives ready for distribution: "; \
653 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
3e01779c 654 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
ab702381 655distuninstallcheck:
7d32376a
AG
656 @test -n '$(distuninstallcheck_dir)' || { \
657 echo 'ERROR: trying to run $@ with an empty' \
658 '$$(distuninstallcheck_dir)' >&2; \
659 exit 1; \
660 }; \
661 $(am__cd) '$(distuninstallcheck_dir)' || { \
662 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
663 exit 1; \
664 }; \
665 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
ab702381
DB
666 || { echo "ERROR: files left after uninstall:" ; \
667 if test -n "$(DESTDIR)"; then \
668 echo " (check DESTDIR support)"; \
669 fi ; \
670 $(distuninstallcheck_listfiles) ; \
671 exit 1; } >&2
672distcleancheck: distclean
673 @if test '$(srcdir)' = . ; then \
674 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
675 exit 1 ; \
676 fi
677 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
678 || { echo "ERROR: files left in build directory after distclean:" ; \
679 $(distcleancheck_listfiles) ; \
680 exit 1; } >&2
681check-am: all-am
682check: check-recursive
92978c90 683all-am: Makefile config.h
ab702381
DB
684installdirs: installdirs-recursive
685installdirs-am:
ab702381
DB
686install: install-recursive
687install-exec: install-exec-recursive
688install-data: install-data-recursive
689uninstall: uninstall-recursive
690
691install-am: all-am
692 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
693
694installcheck: installcheck-recursive
695install-strip:
7d32376a
AG
696 if test -z '$(STRIP)'; then \
697 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
698 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
699 install; \
700 else \
701 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
702 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
703 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
704 fi
ab702381
DB
705mostlyclean-generic:
706
707clean-generic:
708
709distclean-generic:
710 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
3554f2d2 711 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
ab702381
DB
712
713maintainer-clean-generic:
714 @echo "This command is intended for maintainers to use"
715 @echo "it deletes files that may require special tools to rebuild."
716clean: clean-recursive
717
4c02b03d 718clean-am: clean-generic mostlyclean-am
ab702381
DB
719
720distclean: distclean-recursive
721 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
722 -rm -f Makefile
4c02b03d 723distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
ab702381
DB
724
725dvi: dvi-recursive
726
727dvi-am:
728
729html: html-recursive
730
3554f2d2
DB
731html-am:
732
ab702381
DB
733info: info-recursive
734
735info-am:
736
92978c90 737install-data-am:
ab702381 738
3e01779c
DB
739install-dvi: install-dvi-recursive
740
3554f2d2
DB
741install-dvi-am:
742
c52e55d2 743install-exec-am:
ab702381 744
3e01779c
DB
745install-html: install-html-recursive
746
3554f2d2
DB
747install-html-am:
748
ab702381
DB
749install-info: install-info-recursive
750
3554f2d2
DB
751install-info-am:
752
ab702381
DB
753install-man:
754
3e01779c
DB
755install-pdf: install-pdf-recursive
756
3554f2d2
DB
757install-pdf-am:
758
3e01779c
DB
759install-ps: install-ps-recursive
760
3554f2d2
DB
761install-ps-am:
762
ab702381
DB
763installcheck-am:
764
765maintainer-clean: maintainer-clean-recursive
766 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
767 -rm -rf $(top_srcdir)/autom4te.cache
768 -rm -f Makefile
769maintainer-clean-am: distclean-am maintainer-clean-generic
770
771mostlyclean: mostlyclean-recursive
772
4c02b03d 773mostlyclean-am: mostlyclean-generic
ab702381
DB
774
775pdf: pdf-recursive
776
777pdf-am:
778
779ps: ps-recursive
780
781ps-am:
782
92978c90 783uninstall-am:
ab702381 784
7d32376a
AG
785.MAKE: $(am__recursive_targets) all install-am install-strip
786
787.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
788 am--refresh check check-am clean clean-cscope clean-generic \
789 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
790 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
791 distcheck distclean distclean-generic distclean-hdr \
792 distclean-tags distcleancheck distdir distuninstallcheck dvi \
793 dvi-am html html-am info info-am install install-am \
794 install-data install-data-am install-dvi install-dvi-am \
795 install-exec install-exec-am install-html install-html-am \
796 install-info install-info-am install-man install-pdf \
797 install-pdf-am install-ps install-ps-am install-strip \
798 installcheck installcheck-am installdirs installdirs-am \
799 maintainer-clean maintainer-clean-generic mostlyclean \
800 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
801 uninstall-am
3554f2d2 802
5f30bbc9
AG
803.PRECIOUS: Makefile
804
ab702381 805
ab702381
DB
806# Tell versions [3.59,3.63) of GNU make to not export all variables.
807# Otherwise a system limit (for SysV at least) may be exceeded.
808.NOEXPORT: